package com.zhentao.shouye.controller;

import com.zhentao.config.NullLogin;
import com.zhentao.shouye.dto.UserShouyeDto;
import com.zhentao.shouye.service.UserShouyeService;
import com.zhentao.tool.TokenUtils;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("shouye")
public class UserShouyeController {
    @Autowired
    private UserShouyeService userShouyeService;

    @GetMapping("findAll")
    @NullLogin
    public Result findAll(@RequestHeader("token") String token){
        String userIdFromToken = TokenUtils.getUserIdFromToken(token);
        UserShouyeDto userShouyeDto = new UserShouyeDto();
        userShouyeDto.setUid1(Long.valueOf(userIdFromToken));
        return userShouyeService.findAll(userShouyeDto);
    }

    @PostMapping("add")
    @NullLogin
    public Result add(@RequestHeader("token") String token,@RequestBody UserShouyeDto userShouyeDto){
        String userIdFromToken = TokenUtils.getUserIdFromToken(token);
        return userShouyeService.add(userIdFromToken,userShouyeDto);
    }
}
